#include <iostream>
using namespace std;

int main()
{
    long long n,m;
    cin>>n>>m;
    if(n>2 && m>2)
        cout <<((n-2)*(m-2))/2 + (2*n + 2*(m-2));
    if(n==2 && m!=1)
        cout<<2*m;
    if(m==2 && n!=1)
        cout<<2*n;
    if(n==1 || m==1)
        cout<<n*m;
    return 0;
}